
package com.tmerclub.cloud.common.order.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * 订单退款成功通知
 * @author tmerclub
 * @date 2020/12/8
 */
public class RefundNotifyBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long orderId;

    private Long payId;

    private Long refundId;

    private Long refundAmount;

    /**
     * 是否为未成团而退款的团购订单
     */
    private Integer unSuccessGroupOrder;

    /**
     * 是否可以退款
     */
    private Boolean canRefund;

    /**
     * 订单状态
     */
    private Integer orderStatus;

    /**
     * 原订单状态
     */
    private Integer dbOrderStatus;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单使用积分
     */
    private Long orderScore;


    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public Long getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Long refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Integer getUnSuccessGroupOrder() {
        return unSuccessGroupOrder;
    }

    public void setUnSuccessGroupOrder(Integer unSuccessGroupOrder) {
        this.unSuccessGroupOrder = unSuccessGroupOrder;
    }

    public Boolean getCanRefund() {
        return canRefund;
    }

    public void setCanRefund(Boolean canRefund) {
        this.canRefund = canRefund;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Integer getDbOrderStatus() {
        return dbOrderStatus;
    }

    public void setDbOrderStatus(Integer dbOrderStatus) {
        this.dbOrderStatus = dbOrderStatus;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getOrderScore() {
        return orderScore;
    }

    public void setOrderScore(Long orderScore) {
        this.orderScore = orderScore;
    }

    @Override
    public String toString() {
        return "RefundNotifyBO{" +
                "orderId=" + orderId +
                ", payId=" + payId +
                ", refundId=" + refundId +
                ", refundAmount=" + refundAmount +
                ", unSuccessGroupOrder=" + unSuccessGroupOrder +
                ", canRefund=" + canRefund +
                ", orderStatus=" + orderStatus +
                ", dbOrderStatus=" + dbOrderStatus +
                ", userId=" + userId +
                ", orderScore=" + orderScore +
                '}';
    }
}
